#include "simpletools.h"

int MyParm[10];               // passes addresses of parameters
volatile int8_t mode[4], Complete[4];
volatile int16_t ServoPins[4];         //  must be [4], ControlPin<<8 | FeedbackPin
volatile int16_t PulseWidth[4], theta[4], commanded[4], index ;
volatile int Context[4], Parameters[4]; 
volatile int *cog360servo;;

// ***  servo names
#define Servo0 0
#define Servo1 1
#define Servo2 2
#define Servo3 3

// **** DRIVER function prototypes
void start360(int16_t *, int16_t *);        // CPIN, FPIN
void SetPos(short, short);          // theservo, commanded[theservo] in degrees
void Width(short, short);           // theservo, microsecs
short GetPos(short);                // theservo, returns theta in degrees
int8_t CheckDone(short);            // theservo, returns Complete 0 at position, !=0 if not
void SetMaxError(short, int8_t);    // theservo, error +1 in degrees
void SetGain(short, int8_t);        // theservo, gainP 
void SetDeltaMin(short, int8_t);    // theservo, Dmin  
void SetDeltaMax(short, int8_t);    // theservo, Dmax 


